nextcloud的php升级暴毙问题

今天忍不住不想再看WordPress天天抱怨要升级php,决定升tm的。从5.6升到7.2(因为lnmp 1.6官配支持7.2,1.7才是支持7.3,不敢冒险),然后WordPress无压力运行,nextcloud成功暴毙500.

面对这个老问题,这次好好查了论坛,终于找到了解决办法

Had the same issue, was able to load nextcloud with php7.0, and it broke when switching to 7.1 and 7.2; it was an opcache issue.

I suggest you remove the lines relating to Redis and memcache from your config:

    "memcache.local": "\\OC\\Memcache\\Redis",
    "memcache.distributed": "\\OC\\Memcache\\Redis",
    "memcache.locking": "\\OC\\Memcache\\Redis",

就是把config/config.php里面的三行关于OPcache的配置删掉 (如果配置了redis也把redis的删掉)。删了之后果然成功运行起来了。

留下评论